<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html"
	xmlns:ui="jakarta.faces.facelets"
	xmlns:bw="http://www.scc.kit.edu/bwfacelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:of="http://omnifaces.org/functions">
<head>
<title></title>
</head>
<body>
<f:view>

	<f:metadata>
		<f:event type="jakarta.faces.event.PreRenderViewEvent"
            listener="#{listProjectBean.preRenderView}" />
	</f:metadata>

<ui:composition template="/template/default-admin.xhtml">
	<ui:param name="title" value="#{messages.title}"/>

	<ui:define name="content">
	
	<h:form id="form">
	
		<p:dataTable id="dataTable" var="p" value="#{listProjectBean.projectEntityList}" paginator="true"
					lazy="true" rows="15">
			<p:column sortBy="#{p.id}">
				<f:facet name="header">
					<h:outputText value="#{messages.id}" />
				</f:facet>
				<h:outputText value="#{p.id}" />
			</p:column>
			<p:column sortBy="#{p.name}" filterBy="#{p.name}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.name}" />
				</f:facet>
				<h:link outcome="show-local-project.xhtml" value="#{p.name}" rendered="#{p.class.simpleName == 'LocalProjectEntity'}" >
      				<f:param name="id" value="#{p.id}"/>
    			</h:link>
				<h:link outcome="show-external-oidc-project.xhtml" value="#{p.name}" rendered="#{p.class.simpleName == 'ExternalOidcProjectEntity'}" >
      				<f:param name="id" value="#{p.id}"/>
    			</h:link>
			</p:column>			
			<p:column sortBy="#{p.shortName}" filterBy="#{p.shortName}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.short_name}" />
				</f:facet>
				<h:outputText value="#{p.shortName}" />
			</p:column>			
		<p:column sortBy="#{p.projectStatus}" filterBy="#{p.projectStatus}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.status}" />
				</f:facet>
				<h:outputText value="#{p.projectStatus}" />
			</p:column>			
		</p:dataTable>
			
	
	</h:form>

	</ui:define>
</ui:composition>		
</f:view>
</body>
</html>
